Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
jsonrpc::NameService Interface Reference

RPC Object Name Service. More...

`import <NameService.idl;`

## Public Member Functions
Object | lookup (in string name)
| Find an RPC object by its resource ID or well-known name.

## Detailed Description

RPC Object Name Service.

Definition at line 10 of file NameService.idl.

## Member Function Documentation

## ◆ lookup()

Object jsonrpc::NameService::lookup | ( | in string | name | ) |

Find an RPC object by its resource ID or well-known name.

Parameters

  name | Resource id or well-known name

Returns
  Object reference; `nil` if the name can't be resolved

The documentation for this interface was generated from the following file:

- NameService.idl